package com.sd.business.entity.after.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 售后单
 * </p>
 *
 * @author 
 * @since 2024-02-02
 */
@Getter
@Setter
@TableName("after_sale_order")
public class AfterSaleOrder extends BasePo {

    /**
     * 售后单号
     */
    private String code;

    /**
     * 状态 0-未售后，1-已售后
     */
    private Integer status;

    /**
     * 订单编号
     */
    private String orderCode;

    /**
     * 万里牛售后明细id
     */
    private String wlnOffId;

    /**
     * 万里牛订单编号
     */
    private String orderWlnCode;

    /**
     * 万里牛sku规格编号
     */
    private String skuSpecCode;

    /**
     * 万里牛sku规格id
     */
    private String wlnSkuSpecId;

    /**
     * 万里牛仓库编码
     */
    private String storageCode;

    /**
     * 万里牛仓库编码
     */
    private Integer wlnStatus;

    /**
     * 万里牛类型
     */
    private Integer wlnType;

    /**
     * 退货数量
     */
    private BigDecimal quantity;

    /**
     * 同步时间
     */
    private Date modifyTime;

    /**
     * 同步时间戳
     */
    private Long modifyTimestamp;

    /**
     * 退回原因
     */
    private String reason;

    /**
     * 问题详情
     */
    private String remark;

}
