package com.sd.business.entity.purchase.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 采购计划列表导出返回值实体
 *
 * @author
 * @since 2023-10-12
 */
@HeadFontStyle(fontHeightInPoints = 12)
@Getter
@Setter
public class PurchasePlanExportVo {

    /**
     * bom品号
     */
    @ColumnWidth(13)
    @ExcelProperty("品号")
    private String bomSpecCode;

    /**
     * bom品名
     */
    @ColumnWidth(18)
    @ExcelProperty("品名")
    private String bomSpecName;

    /**
     * 规格说明
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "规格")
    private String specification;

    /**
     * colour
     */
    @ColumnWidth(10)
    @ExcelProperty(value = "颜色")
    private String colour;

    /**
     * 单位
     */
    @ColumnWidth(8)
    @ExcelProperty(value = "单位")
    private String unit;

    /**
     * 备货模式
     */
    @ColumnWidth(13)
    @ExcelProperty(value = "备货模式")
    private String stockingMode;

    /**
     * 安全库存
     */
    @ColumnWidth(12)
    @ExcelProperty(value = "安全库存")
    private BigDecimal safetyStock;

    /**
     * 起订量
     */
    @ColumnWidth(10)
    @ExcelProperty(value = "起订量")
    private BigDecimal minimumQuantity;

    /**
     * 采购周期（天）
     */
    @ColumnWidth(13)
    @ExcelProperty(value = "采购周期\n（天）")
    private BigDecimal purchaseCycle;

    /**
     * 库存数量
     */
    @ColumnWidth(13)
    @ExcelProperty(value = "库存数量")
    private BigDecimal stockQuantity;

    /**
     * 在途数量
     */
    @ColumnWidth(13)
    @ExcelProperty(value = "在途数量")
    private BigDecimal inTransitQuantity;

    /**
     * 预测需求（60天）
     */
    @ColumnWidth(13)
    @ExcelProperty("预测需求\n（60天）")
    private BigDecimal forecastDemandQuantity;

    /**
     * 预测库销天数
     */
    @ColumnWidth(16)
    @ExcelProperty("预测库销天数")
    private BigDecimal forecastInventorySalesDays;

    /**
     * 实际日销（近30天)
     */
    @ColumnWidth(13)
    @ExcelProperty("实际日销\n（近30天)")
    private BigDecimal actualDailySales;

    /**
     * 实际库销天数
     */
    @ColumnWidth(16)
    @ExcelProperty("实际库销天数")
    private BigDecimal actualInventorySalesDays;

    /**
     * 短缺数量合计（销售预测）
     */
    @ColumnWidth(16)
    @ExcelProperty("短缺数量合计\n（销售预测）")
    private BigDecimal forecastShortageQuantity;

    /**
     * 短缺数量合计（实际销量）
     */
    @ColumnWidth(16)
    @ExcelProperty("短缺数量合计\n（实际销量）")
    private BigDecimal actualShortageQuantity;

    /**
     * 经济采购批量
     */
    @ColumnWidth(16)
    @ExcelProperty("经济采购批量")
    private BigDecimal economicOrderQuantity;

    /**
     * 采购批次
     */
    @ColumnWidth(13)
    @ExcelProperty("采购批次")
    private BigDecimal purchaseBatches;
}
